Get topic board
GET
https://api.catenda.com/v2/projects/{project-id}/issues/boards/{topic-board-id}
Path Parameters
- project-idstringrequiredExampleDescription
- topic-board-idstringrequiredExampleDescription
Query Parameters
- includestringDescription
Responses
200
- topic-board
- idstringExampleDescription
- namestringExampleDescription
- descriptionstringExampleDescription
- customFieldscustom-field[]Description
- idstringExampleDescription
- namestringExampleDescription
- descriptionstringExampleDescription
- typestring<text | integer | double | enumeration | date>ExampleDescription
- createdAtstringExampleDescription
- createdBystringExampleDescription
- archivedbooleanDescription
- dropdownItemsobject[]Description
- idstringDescription
- namestringExampleDescription
- codestringExampleDescription
- disabledbooleanDescription
- customFieldInstancescustom-field-instance[]Description
- idstringExampleDescription
- disabledbooleanDescription
- requiredbooleanDescription
- defaultValueobjectDescription
- itemBeforeIdstringDescription
curl
curl --request GET \
--url https://api.catenda.com/v2/projects/{project-id}/issues/boards/{topic-board-id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/issues/boards/{topic-board-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/issues/boards/{topic-board-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/issues/boards/{topic-board-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"id": "324404076a694255b589d236517a55da",
"name": "Board name",
"description": "Topic board description",
"customFields": [
{
"id": "324409076a694255b589d236517a55da",
"name": "Custom field name",
"description": "Custom field description",
"type": "text",
"createdAt": "2023-03-06T11:52:45.000Z",
"createdBy": "624809076a694255b989d236517a55da",
"archived": false,
"dropdownItems": [
{
"id": "",
"name": "Dropdown item 1",
"code": "Item name",
"disabled": false
}
]
}
],
"customFieldInstances": [
{
"id": "324809076a694255b589d236517a55da",
"disabled": false,
"required": false,
"defaultValue": {},
"itemBeforeId": ""
}
]
}